Update DataWarehouse
Update the data warehouse. It is not possible to switch between data warehouses, e.g., going from BigQuery to Databricks. The endpoint will verify that access to relevant resources are set up correctly.
curl --request PATCH \
--url https://metrics.eu.confidence.dev/v1/dataWarehouses/{dataWarehouse} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"bigQueryConfig": {
"gcpProjectId": "<string>",
"bigQueryLocation": "<string>",
"dataset": "<string>",
"serviceAccount": "<string>",
"processingProjectId": "<string>",
"interactiveProjectId": "<string>",
"exportJobsServiceAccount": "<string>"
},
"dataBricksConfig": {
"host": "<string>",
"warehouseId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"exposureSchema": "<string>",
"resultsSchema": "<string>"
}
},
"name": "<string>",
"limits": {
"maxConcurrentQueries": 123,
"maxConcurrentInteractiveQueries": 123
},
"labels": [
{}
],
"owner": "<string>"
}
'import requests
url = "https://metrics.eu.confidence.dev/v1/dataWarehouses/{dataWarehouse}"
payload = {
"config": {
"bigQueryConfig": {
"gcpProjectId": "<string>",
"bigQueryLocation": "<string>",
"dataset": "<string>",
"serviceAccount": "<string>",
"processingProjectId": "<string>",
"interactiveProjectId": "<string>",
"exportJobsServiceAccount": "<string>"
},
"dataBricksConfig": {
"host": "<string>",
"warehouseId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"exposureSchema": "<string>",
"resultsSchema": "<string>"
}
},
"name": "<string>",
"limits": {
"maxConcurrentQueries": 123,
"maxConcurrentInteractiveQueries": 123
},
"labels": [{}],
"owner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
bigQueryConfig: {
gcpProjectId: '<string>',
bigQueryLocation: '<string>',
dataset: '<string>',
serviceAccount: '<string>',
processingProjectId: '<string>',
interactiveProjectId: '<string>',
exportJobsServiceAccount: '<string>'
},
dataBricksConfig: {
host: '<string>',
warehouseId: '<string>',
clientId: '<string>',
clientSecret: '<string>',
exposureSchema: '<string>',
resultsSchema: '<string>'
}
},
name: '<string>',
limits: {maxConcurrentQueries: 123, maxConcurrentInteractiveQueries: 123},
labels: [{}],
owner: '<string>'
})
};
fetch('https://metrics.eu.confidence.dev/v1/dataWarehouses/{dataWarehouse}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"bigQueryConfig": {
"gcpProjectId": "<string>",
"bigQueryLocation": "<string>",
"dataset": "<string>",
"serviceAccount": "<string>",
"processingProjectId": "<string>",
"interactiveProjectId": "<string>",
"exportJobsServiceAccount": "<string>"
},
"dataBricksConfig": {
"host": "<string>",
"warehouseId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"exposureSchema": "<string>",
"resultsSchema": "<string>"
},
"redshiftConfig": {
"roleArn": "<string>",
"cluster": "<string>",
"database": "<string>",
"exposureSchema": "<string>",
"dataApiEndpoint": "<string>",
"credentialsSettings": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"webIdentitySettings": {}
},
"snowflakeConfig": {
"account": "<string>",
"user": "<string>",
"authenticationKey": "<string>",
"role": "<string>",
"warehouse": "<string>",
"exposureDatabase": "<string>",
"exposureSchema": "<string>"
}
},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"limits": {
"maxConcurrentQueries": 123,
"maxConcurrentInteractiveQueries": 123
},
"labels": [
{}
],
"owner": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The list of fields to update. Fields are specified relative to the DataWarehouse
Body
The configuration for the data warehouse.
Show child attributes
Show child attributes
The name of the data warehouse.
User-defined restrictions for how to access the data warehouse.
Show child attributes
Show child attributes
General labels for this resource.
Show child attributes
Show child attributes
The owner of the resource. If not set will default to the creator.
Response
OK
Named configuration for a data warehouse. Sets up how to query and write data to the data warehouse.
The configuration for the data warehouse.
Show child attributes
Show child attributes
Time when the data warehouse was first created.
Time when the data warehouse was last updated.
Reference to the identity that created this entity.
Reference to the identity that last updated this entity.
The name of the data warehouse.
User-defined restrictions for how to access the data warehouse.
Show child attributes
Show child attributes
General labels for this resource.
Show child attributes
Show child attributes
The owner of the resource. If not set will default to the creator.
Was this page helpful?

